org.jbpm.bpmn2.xpath

## Class XPATHActionBuilder

- java.lang.Object
- - org.jbpm.bpmn2.xpath.XPATHActionBuilder

- All Implemented Interfaces:
    ActionBuilder

      public class XPATHActionBuilder
      extends Object
      implements ActionBuilder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPATHActionBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)`
    `static String` | `delimitExpressions(String s)` Allows newlines to demarcate expressions, as per MVEL command line.
    `static String` | `processMacros(String consequence)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPATHActionBuilder

          public XPATHActionBuilder()

  - ### Method Detail

    - #### build

          public void build(org.drools.compiler.rule.builder.PackageBuildContext context,
                            DroolsAction action,
                            org.drools.compiler.lang.descr.ActionDescr actionDescr,
                            ContextResolver contextResolver)

      Specified by:
        `build` in interface `ActionBuilder`

    - #### processMacros

          public static String processMacros(String consequence)

    - #### delimitExpressions

          public static String delimitExpressions(String s)

      Allows newlines to demarcate expressions, as per MVEL command line. If expression spans multiple lines (ie inside an unbalanced bracket) then it is left alone. Uses character based iteration which is at least an order of magnitude faster then a single simple regex.

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.